<script>
export default {
  name: "MobileNavigationElement",
  props: {
    /**
     * object with data for navigation element
     */
    data: {
      type: Object,
      default: null
    }
  }
};
</script>

<template>
  <div
    class="navigationElement"
    :aria-label="data.title"
  >
    <router-link :to="data.link">
      <i
        class="icon"
        :class="data.icon"
        aria-hidden="true"
      />
      <span
        class="linktext"
      >
        {{ data.title }}
      </span>
    </router-link>
  </div>
</template>
